%global commit e79458934ce5f4035e4d0a604aaedf7153af2e84
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           bundling-detection-java
Version:        0.1
Release:        0.13.20150611git%{?dist}
Summary:        Bundling detection tool for Java

License:        ASL 2.0
URL:            https://github.com/msrb/bundling-detection-java
Source0:        https://github.com/msrb/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  maven-local
BuildArch:      noarch
# Explicit requires for javapackages-tools since bundling-detector-java script
# uses /usr/share/java-utils/java-functions
Requires:       javapackages-tools

%description
This package contains bundling detection tool for Java archives (JARs).

%prep
%setup -q -n %{name}-%{commit}

%build
%mvn_build -j

%install
%mvn_install

%jpackage_script org.fedoraproject.bundling.cli.Main "" "" bundling-detection-java bundling-detector-java true

%files -f .mfiles
%dir %{_javadir}/%{name}
%{_bindir}/bundling-detector-java
%license LICENSE

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.13.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.12.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Aug 30 2018 Severin Gehwolf <sgehwolf@redhat.com> - 0.1-0.11.20150611git
- Add explicit javapackages-tools requirement since java-functions
  are being used. See RHBZ#1600426.

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.10.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.9.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.8.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.7.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.6.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Michal Srb <msrb@redhat.com> - 0.1-0.4.20150611git
- Update

* Thu Jun 11 2015 Michal Srb <msrb@redhat.com> - 0.1-0.3.20150611git
- Update

* Thu Jun 11 2015 Michal Srb <msrb@redhat.com> - 0.1-0.2.20150611git
- Update

* Thu Jun 04 2015 Michal Srb <msrb@redhat.com> - 0.1-0.1.20150604git
- Initial packaging

